/*********************************************************************************
**
**   $Id: WorkOrderTable.h,v 1.4 2004/04/03 14:04:53 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#ifndef WORKORDERTABLE_H
#define WORKORDERTABLE_H

#include "Data/DataTable.h"

class WorkOrderTable : public DataTable 
{
   Q_OBJECT

public:
   WorkOrderTable(QWidget *pParent = 0, const char *pName = 0 );
   WorkOrderTable(bool _viewClosed, int _customer, int _vehicle, int _parent, QWidget *pParent = 0, const char *pName = 0);
   void setCustomer(int p);
   void setVehicle(int p);
   void setEndDate(QString _enddate);
   void setBeginDate(QString _begdate);
   void buildFilter();
   void showClosed(bool x);

protected:
private:
   int      customer;
   int      vehicle;
   QString  begDate;
   QString  endDate;
   bool     viewClosed;
};

#endif
